#! /bin/bash

source config

function print_usage_and_exit {
  >&2 echo "USAGE : language templateName expName"
  exit 1
}

LANG=$1
TEMPLATENAME=$2
EXPNAME=$3

if [ -z "$LANG" ];
then
  >&2 echo "ERROR : missing argument 1 (lang)"
  print_usage_and_exit
fi

if [ -z "$TEMPLATENAME" ];
then
  >&2 echo "ERROR : missing argument 2 (templateName)"
  print_usage_and_exit
fi

if [ -z "$EXPNAME" ];
then
  >&2 echo "ERROR : missing argument 3 (expName)"
  print_usage_and_exit
fi


if [ ! -d "$TEMPLATENAME" ]; then
  >&2 echo "ERROR : directory $TEMPLATENAME doesn't exist"
  print_usage_and_exit
fi

mkdir -p bin
rm -rf bin/$EXPNAME
cp -r $TEMPLATENAME bin/$EXPNAME
cp -r "data" bin/$EXPNAME/.
echo "CORPUS="$UD_ROOT"/"$LANG > bin/$EXPNAME/config

